dnl Process this file with autoconf to produce a configure script.
AC_INIT(ro.h)
AC_PREFIX_DEFAULT(/usr/local)

dnl Checks for programs.
AC_PROG_LEX
AC_PROG_INSTALL

dnl Checks for libraries.
AC_CHECK_LIB(xnet,inet_ntoa)
AC_CHECK_LIB(nsl,gethostbyname)
AC_CHECK_LIB(socket,socket)

dnl Checks for header files.
AC_HEADER_STDC
AC_CHECK_HEADERS(unistd.h)
AC_CHECK_HEADERS(strings.h errno.h)

dnl Checks for typedefs, structures, and compiler characteristics.
AC_C_CONST
AC_TYPE_SIZE_T

dnl Checks for library functions.
AC_CHECK_FUNCS(regcomp strdup strerror strstr)
AC_CHECK_FUNCS(snprintf vsnprintf , :, [ 
	AC_CHECK_FUNCS(__vsnprintf, :, [
		echo "no snprintf/vsnprintf/__vsnprintf functions.."; exit 1; ] )
	])
AC_CHECK_FUNCS(inet_aton hstrerror)
AC_CHECK_FUNCS(strcasecmp)
AC_CHECK_FUNCS(strncasecmp)

AC_CONFIG_HEADER(config.h)
AC_OUTPUT(Makefile)
